Subject: Re: native-git-svn: A Summer of Code 2010 proposal

From: Peter Baumann <[email-masked]>
Date: Sun, 21 Mar 2010 08:40:26 +0100

On Sun, Mar 21, 2010 at 02:04:40AM +0530, Ramkumar Ramachandra wrote:
> Hi,
> 
> I just prepared another revision of my proposal- I've tried to be
> clearer about the objective, and included a timeline this time. Note
> that I've also changed the name from native-git-svn to git-remote-svn,
> as recommended by Sverre.
> 

...
 
> == The Technicalities ==
> I've discussed the project with Sverre Rabbelier at length over email.
> The plan is to build component-wise. The distinct components are:
> 1. An SVN client that uses libsvn to fetch/ push revisions to a remote
> SVN repository.
> 2. An exporter for SVN repositories, which will extract all the
> relevant revision history and metadata to import into Git.

Isn't that called an importer? At least if I am looking from the Git side
it imports a SVN repository.

> 3. A remote helper for Git that takes the data from this SVN exporter,
> and uses git-fast-import to create corresponding commits in Git.

Dito.

> 4. Another remote helper to export commit data and metadata from Git
> to import into SVN.
     ^^^^^^
     export

> 5. An importer for SVN, which will create revisions in SVN
        ^^^^^^^
        exporter
> corresponding to commits in Git.

I have to admit, I like your proposal. Your first points sound a little bit too
negative for my taste considering git svn serves me well on my day job, but
fair enough.

--
Peter